FFS(3)

NAME
ffs - find first bit set in a bit string

LIBRARY
libc

SYNOPSIS
#include <strings.h>
int
ffs(int value);

DESCRIPTION
The ffs() function finds the first bit set in value and returns the index of that bit. Bits are numbered starting from 1, starting at the right-most bit. A return value of 0 means that the argument was zero.

SEE ALSO
bitstring(3), ffs32(3), popcount(3)

STANDARDS
The ffs() function conforms to p1003.1-2001.

HISTORY
The ffs() function appeared in 4.3BSD. The prototype for it existed previously in the <string.h> header before it was moved to <strings.h> for POSIX compliance.